Subject: Re: bug#51696: Request: Adopt the unofficial GUIX community on Matrix

From: Jacob Hrbek <[email-masked]>
Date: Fri, 12 Nov 2021 04:25:03 +0000

> What is the difference between a Matrix space and a Matrix channel? -- Maxim

In the analogy of files and directories: Matrix space is a directory for channels. (see attachment matrix-space.png)

In the image you can see matrix space called GNU Guix (unofficiality disclosed in the description) containing channel #guix #guile #guix-offtopic #guix-wiki which are bridged to libera.chat with Guix System.. channel on Matrix

> From my memory the reality is that most of the clients are not quite there yet... -- Maxim

That is not my experience I suggest you to try them again and be specific about the issues so that they can be investigated.

> To really be in full control, ideally we'd have a Shepherd service to administer it.  Is this something you'd be motivated to work on? -- Maxim

I need matrix homeserver on Guix myself so it would align with my work when I figure out how to maintain a cluster of computers using public repository which CI/CD calls guix commands for push-based deployment which should be any day now.

> Moderation is something that I'm a bit worried about; at least speaking for myself I'd want to continue doing it from IRC and it'd need to sync to Matrix transparently, not the other way around.  Is this possible? -- Maxim

I am not qualified to answer that as I don't do cross-protocol moderation, CC Matrix support

-- Jacob "Kreyren" Hrbek

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Friday, November 12th, 2021 at 3:25 AM, Maxim Cournoyer <[email-masked]> wrote:

> Hi Jacob,

> I think Mark had valid concerns about control.
> 

> Jacob Hrbek [email-masked] writes:
> 

> > My motivation for this proposal is to make GNU Guix more accessible
> > 

> > and user-friendly so that I can get my team to use it painlessly to
> > 

> > organize the work as I currently use NiXOS where nixlang is giving me
> > 

> > anxiety and it's too limited to my liking.
> > 

> > I prefer zero trust model so I am happy with transferring the matrix space to the chosen GNU representative.
> > 

> > About the channel I sent a message to the owner and waiting for a reply.
> 

> What is the difference between a Matrix space and a Matrix channel?
> 

> > About matrix I am proposing to run our own homeserver that GNU Guix have full control over.
> > 

> > I helped Ian Kelling with the implementation for FSF when they were moving off of Freenode so i assume that we can just fork the implementation or adapt it in GNU guile?
> > 

> > Note: FSF decided to not move on matrix as one of it's clients is
> > 

> > using Google's reCAPTCHA for registration
> > 

> > (https://github.com/matrix-org/matrix-doc/issues/3220) and is
> > 

> > allegedly using electron.. FWIW i never understood the reasoning as
> > 

> > the homeserver does not depend on the client and there are multiple
> > 

> > alternatives (https://matrix.org/clients).
> 

> From my memory the reality is that most of the clients are not quite
> 

> there yet, so to get a good experience one must use the official web
> 

> client (Element) or the Android one, both of which pose freedom
> 

> challenges (is the JavaScript tagged to run in GNU LibreJS?). The
> 

> desktop client is also web based, probably unpackagHopefully
> 

> that changed in the last couple years. I remember trying the (abandoned
> 

> then) Emacs-based client and also the Weechat client. I ended up not
> 

> submitting the package to Guix, since it was too buggy (using 100% of
> 

> CPU, very slow to refresh, and had other annoyances I forgot).
> 

> > About bridges they are self-hosted (https://matrix.org/bridges) so GNU
> > 

> > Guix would be in full control over them, but some
> > 

> > e.g. https://t2bot.io provide it for free to the general public
> > 

> > without a guaranteed uptime.
> 

> To really be in full control, ideally we'd have a Shepherd service to
> 

> administer it. Is this something you'd be motivated to work on?
> 

> > I believe it also answers the question about moderating? There are
> > 

> > also moderation bots (https://matrix.org/bots/) such as mjolnil
> > 

> > https://github.com/matrix-org/mjolnir that afaik can be configured
> > 

> > that if user is banned on matrix that it will issue the ban across all
> > 

> > bridges and if needed the space.
> 

> Moderation is something that I'm a bit worried about; at least speaking
> 

> for myself I'd want to continue doing it from IRC and it'd need to sync
> 

> to Matrix transparently, not the other way around. Is this possible?
> 

> Thanks,

> Maxim